# ------------------- Source files --------------------

add_subdirectory(ast)
add_subdirectory(modules)
add_subdirectory(node_processor)
add_subdirectory(utils)

add_library(
  PugsLanguage
  PugsParser.cpp)

# Additional dependencies
add_dependencies(PugsLanguage
  PugsLanguage
  PugsLanguageAST
  PugsLanguageModules
  PugsLanguageUtils
  PugsUtils)

# ------------------- Installation --------------------
# temporary version workaround
if(${CMAKE_VERSION} VERSION_LESS "3.13.0")
  install(TARGETS PugsLanguage
    RUNTIME DESTINATION bin
    LIBRARY DESTINATION lib
    ARCHIVE DESTINATION lib)
endif()
